Loading...
Searching...
No Matches
mce::ThreadManager::ThreadInfo Struct Reference

Metadata stored per managed thread. More...

`#include <ThreadManager.hpp>`

## Public Attributes

Thread * | thread
| Non-owning pointer to the tracked Thread.
eastl::string | name
| Human readable thread name.
std::chrono::steady_clock::time_point | startTime
| Time point when the thread was started.
std::chrono::steady_clock::time_point | endTime
bool | finished = false
| True when the thread has finished execution.

## Detailed Description

Metadata stored per managed thread.

ThreadInfo contains a pointer to the Thread instance (non-owning), a human-readable name, timestamps for start/end and a finished flag.

The documentation for this struct was generated from the following file:

- Core/ThreadManager.hpp